Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins
Class VisiblePlugin

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.AbstractDataCollection
              ru.biosoft.plugins.VisiblePlugin

All Implemented Interfaces:
  DataCollection, DataElement

Direct Known Subclasses:
  JScriptVisiblePlugin, SbwVisiblePlugin

public class VisiblePlugin
extends AbstractDataCollection

Superclass for all 'visible' plugins. It defines `DataCollection` that will be shown in plugins tab of repository pane. It is subclass responsibilty what will be the data collection content and what actions can be assotiated with it. See `ru.biosoft.workbench.visiblePlugins` extention point description for more details.

Field Summary
`protected static java.lang.String` | `PROBLEMS_SHUTDOWN`
`protected static java.lang.String` | `PROBLEMS_STARTUP`

Fields inherited from class ru.biosoft.access.AbstractDataCollection
`cat, info, notificationEnabled, path, propagationEnabled, v_cache`

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Constructor Summary
`VisiblePlugin(DataCollection parent, java.util.Properties properties)` Constructor to be used by `CollectionFactory` to create a Plugin.

Method Summary
`void` | `close()` Close the data collection and release all used resources.
`java.lang.String` | `getDescription()` Utility method that returns data collection description.
`java.util.Iterator` | `iterator()` Returns an iterator over the data elements in this collection.
`void` | `shutdown()` Shuts down this plug-in and discards all plug-in state.
`void` | `startup()` Starts up this plug-in.

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, cachePut, checkMutable, contains, contains, doAddPostNotify, doAddPreNotify, doGet, doPut, doRemove, doRemovePostNotify, doRemovePreNotify, finalize, fireElementAdded, fireElementChanged, fireElementRemoved, fireElementWillAdd, fireElementWillChange, fireElementWillRemove, get, getCompleteName, getDataElementType, getInfo, getNameList, getSize, initLog, isMutable, isNotificationEnabled, isPropagationEnabled, makeInfo, propagateElementChanged, propagateElementWillChange, put, registerRoot, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### PROBLEMS_STARTUP

    protected static java.lang.String PROBLEMS_STARTUP

### PROBLEMS_SHUTDOWN

    protected static java.lang.String PROBLEMS_SHUTDOWN

Constructor Detail

### VisiblePlugin

    public VisiblePlugin(DataCollection parent,
                         java.util.Properties properties)

  Constructor to be used by `CollectionFactory` to create a Plugin.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Utility method that returns data collection description.

  Overrides:
    `getDescription` in class `AbstractDataCollection`

### close

    public void close()
               throws java.lang.Exception

  Description copied from class: `AbstractDataCollection`
  Close the data collection and release all used resources. Default implementation provides following actions:
  - closing `DataCollectionInfo` that provides closing of `QuerySystem`

  Specified by:
    `close` in interface `DataCollection`
  Overrides:
    `close` in class `AbstractDataCollection`
  Throws:
    `java.lang.Exception`

### startup

    public void startup()
                 throws java.lang.Exception

  Starts up this plug-in.

  Clients must never explicitly call this method.

  Throws:
    `java.lang.Exception`

### shutdown

    public void shutdown()

  Shuts down this plug-in and discards all plug-in state.

  Clients must never explicitly call this method.

### iterator

    public java.util.Iterator iterator()

  Description copied from interface: `DataCollection`
  Returns an iterator over the data elements in this collection. There are no guarantees concerning the order in which the elements are returned. If the data collection is modified while an iteration over it is in progress, the results of the iteration are undefined.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.